FieldsQuery (Lucene 2.4.1 API)
Keywords: org.apache.lucene.queryParser.surround.query.FieldsQuery class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.surround.query
Class FieldsQuery

    java.lang.Object
      org.apache.lucene.queryParser.surround.query.SrndQuery
          org.apache.lucene.queryParser.surround.query.FieldsQuery

All Implemented Interfaces:
  Cloneable

    public class FieldsQuery

extends SrndQuery

Field Summary

Fields inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`theEmptyLcnQuery`

Constructor Summary
`FieldsQuery(SrndQuery q, List fieldNames, char fieldOp)`
`FieldsQuery(SrndQuery q, String fieldName, char fieldOp)`

Method Summary
`protected void` | `fieldNamesToString(StringBuffer r)`
`List` | `getFieldNames()`
`char` | `getFieldOperator()`
`boolean` | `isFieldsSubQueryAcceptable()`
`Query` | `makeLuceneQueryFieldNoBoost(String fieldName, BasicQueryFactory qf)`
`Query` | `makeLuceneQueryNoBoost(BasicQueryFactory qf)`
`String` | `toString()`

Methods inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`clone, getWeight, getWeightOperator, getWeightString, isWeighted, makeLuceneQueryField, setWeight, weightToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldsQuery

    public FieldsQuery(SrndQuery q,
                       List fieldNames,
                       char fieldOp)

### FieldsQuery

    public FieldsQuery(SrndQuery q,
                       String fieldName,
                       char fieldOp)

Method Detail

### isFieldsSubQueryAcceptable

    public boolean isFieldsSubQueryAcceptable()

  Overrides:
    `isFieldsSubQueryAcceptable` in class `SrndQuery`

### makeLuceneQueryNoBoost

    public Query makeLuceneQueryNoBoost(BasicQueryFactory qf)

### makeLuceneQueryFieldNoBoost

    public Query makeLuceneQueryFieldNoBoost(String fieldName,
                                             BasicQueryFactory qf)

  Specified by:
    `makeLuceneQueryFieldNoBoost` in class `SrndQuery`

### getFieldNames

    public List getFieldNames()

### getFieldOperator

    public char getFieldOperator()

### toString

    public String toString()

  Specified by:
    `toString` in class `SrndQuery`

### fieldNamesToString

    protected void fieldNamesToString(StringBuffer r)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.